Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.control
Class JSCommonController

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.support.WebContentGenerator
                  org.springframework.web.servlet.mvc.AbstractController
                      org.springframework.web.servlet.mvc.multiaction.MultiActionController
                          com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
                              com.jaspersoft.jasperserver.war.control.JSCommonController

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware, org.springframework.web.context.ServletContextAware, org.springframework.web.servlet.mvc.Controller, org.springframework.web.servlet.mvc.LastModified

    public class JSCommonController

extends JRBaseMultiActionController

Version:
  $Id: JSCommonController.java 10046 2007-09-13 15:06:16Z lucian $
Author:
  aztec

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
`objPermService, repository, userAuthService`

Fields inherited from class org.springframework.web.servlet.mvc.multiaction.MultiActionController
`DEFAULT_COMMAND_NAME, LAST_MODIFIED_METHOD_SUFFIX, PAGE_NOT_FOUND_LOG_CATEGORY, pageNotFoundLogger`

Fields inherited from class org.springframework.web.servlet.support.WebContentGenerator
`METHOD_GET, METHOD_HEAD, METHOD_POST`

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Constructor Summary
`JSCommonController()`

Method Summary
`org.springframework.web.servlet.ModelAndView` | `exitUser(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`java.lang.String` | `getAllowUserPasswordChange()`
`LocalesList` | `getLocales()`
`TimeZonesList` | `getTimezones()`
`org.springframework.web.servlet.ModelAndView` | `homePage(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.springframework.web.servlet.ModelAndView` | `login_welcome(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.springframework.web.servlet.ModelAndView` | `login(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.springframework.web.servlet.ModelAndView` | `loginError(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.springframework.web.servlet.ModelAndView` | `logout(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.springframework.web.servlet.ModelAndView` | `menuTest(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`void` | `setAllowUserPasswordChange(java.lang.String changePassword)`
`void` | `setLocales(LocalesList locales)`
`void` | `setTimezones(TimeZonesList timezones)`

Methods inherited from class com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
`getAllRoles, getAllUsers, getObjPermService, getOlapUnits, getReportUnit, getReportUnit, getReportUnits, getRepository, getUserAuthService, setObjPermService, setRepository, setUserAuthService`

Methods inherited from class org.springframework.web.servlet.mvc.multiaction.MultiActionController
`bind, createBinder, getCommandName, getExceptionHandler, getLastModified, getMethodNameResolver, getValidators, handleNoSuchRequestHandlingMethod, handleRequestInternal, initBinder, initBinder, invokeNamedMethod, newCommandObject, setDelegate, setMethodNameResolver, setValidators`

Methods inherited from class org.springframework.web.servlet.mvc.AbstractController
`handleRequest, isSynchronizeOnSession, setSynchronizeOnSession`

Methods inherited from class org.springframework.web.servlet.support.WebContentGenerator
`applyCacheSeconds, applyCacheSeconds, cacheForSeconds, cacheForSeconds, checkAndPrepare, checkAndPrepare, getCacheSeconds, getSupportedMethods, isRequireSession, isUseCacheControlHeader, isUseExpiresHeader, preventCaching, setCacheSeconds, setRequireSession, setSupportedMethods, setUseCacheControlHeader, setUseExpiresHeader`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSCommonController

    public JSCommonController()

Method Detail

### homePage

    public org.springframework.web.servlet.ModelAndView homePage(javax.servlet.http.HttpServletRequest req,
                                                                 javax.servlet.http.HttpServletResponse res)
                                                          throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### login

    public org.springframework.web.servlet.ModelAndView login(javax.servlet.http.HttpServletRequest req,
                                                              javax.servlet.http.HttpServletResponse res)
                                                       throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### login_welcome

    public org.springframework.web.servlet.ModelAndView login_welcome(javax.servlet.http.HttpServletRequest req,
                                                                      javax.servlet.http.HttpServletResponse res)
                                                               throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### exitUser

    public org.springframework.web.servlet.ModelAndView exitUser(javax.servlet.http.HttpServletRequest req,
                                                                 javax.servlet.http.HttpServletResponse res)

### logout

    public org.springframework.web.servlet.ModelAndView logout(javax.servlet.http.HttpServletRequest req,
                                                               javax.servlet.http.HttpServletResponse res)
                                                        throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### loginError

    public org.springframework.web.servlet.ModelAndView loginError(javax.servlet.http.HttpServletRequest req,
                                                                   javax.servlet.http.HttpServletResponse res)
                                                            throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### menuTest

    public org.springframework.web.servlet.ModelAndView menuTest(javax.servlet.http.HttpServletRequest req,
                                                                 javax.servlet.http.HttpServletResponse res)
                                                          throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getLocales

    public LocalesList getLocales()

### setLocales

    public void setLocales(LocalesList locales)

### getTimezones

    public TimeZonesList getTimezones()

### setTimezones

    public void setTimezones(TimeZonesList timezones)

### getAllowUserPasswordChange

    public java.lang.String getAllowUserPasswordChange()

### setAllowUserPasswordChange

    public void setAllowUserPasswordChange(java.lang.String changePassword)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.